com.tibbo.aggregate.common.device

## Interface GenericPropertiesConstants

-     public interface GenericPropertiesConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACTIVE_ENTITIES_ALL`
    `static int` | `ACTIVE_ENTITIES_SELECTED`
    `static int` | `CACHE_DATABASE`
    `static int` | `CACHE_MEMORY`
    `static java.lang.String` | `FIELD_ACTIVE_ENTITIES`
    `static java.lang.String` | `FIELD_CACHE`
    `static java.lang.String` | `FIELD_COLOR`
    `static java.lang.String` | `FIELD_DEPENDENCY`
    `static java.lang.String` | `FIELD_DESCRIPTION`
    `static java.lang.String` | `FIELD_DISABLE_SYNCHRONOUS_SETTING_VALUE_RW`
    `static java.lang.String` | `FIELD_EVENT_STORAGE_PERIOD`
    `static java.lang.String` | `FIELD_EXTENDED_STATUS`
    `static java.lang.String` | `FIELD_INTERRUPT_ON_ERROR`
    `static java.lang.String` | `FIELD_LATITUDE`
    `static java.lang.String` | `FIELD_LOCATION_STORAGE_PERIOD`
    `static java.lang.String` | `FIELD_LONGITUDE`
    `static java.lang.String` | `FIELD_MAX_SYNC_LOG_ENTRIES`
    `static java.lang.String` | `FIELD_METADATA`
    `static java.lang.String` | `FIELD_NAME`
    `static java.lang.String` | `FIELD_OFFLINE_ALERT`
    `static java.lang.String` | `FIELD_SETTINGS_DEFAULT_QUALITY`
    `static java.lang.String` | `FIELD_SHOW_FULL_DEVICE_DESCRIPTION`
    `static java.lang.String` | `FIELD_START_SYNC_ON_SETTING_CHANGE`
    `static java.lang.String` | `FIELD_STATUS`
    `static java.lang.String` | `FIELD_SUSPEND`
    `static java.lang.String` | `FIELD_SYNC_PERIOD`
    `static java.lang.String` | `FIELD_TIME_ZONE`
    `static java.lang.String` | `FIELD_TYPE`
    `static java.lang.String` | `FIELD_VIRTUAL_NETWORK`
    `static int` | `METADATA_FULL`
    `static int` | `METADATA_NONE`
    `static int` | `METADATA_NORMAL`

- - ### Field Detail

    - #### METADATA_NONE

          static final int METADATA_NONE

      See Also:
        Constant Field Values

    - #### METADATA_NORMAL

          static final int METADATA_NORMAL

      See Also:
        Constant Field Values

    - #### METADATA_FULL

          static final int METADATA_FULL

      See Also:
        Constant Field Values

    - #### ACTIVE_ENTITIES_ALL

          static final int ACTIVE_ENTITIES_ALL

      See Also:
        Constant Field Values

    - #### ACTIVE_ENTITIES_SELECTED

          static final int ACTIVE_ENTITIES_SELECTED

      See Also:
        Constant Field Values

    - #### CACHE_DATABASE

          static final int CACHE_DATABASE

      See Also:
        Constant Field Values

    - #### CACHE_MEMORY

          static final int CACHE_MEMORY

      See Also:
        Constant Field Values

    - #### FIELD_NAME

          static final java.lang.String FIELD_NAME

      See Also:
        Constant Field Values

    - #### FIELD_DESCRIPTION

          static final java.lang.String FIELD_DESCRIPTION

      See Also:
        Constant Field Values

    - #### FIELD_SHOW_FULL_DEVICE_DESCRIPTION

          static final java.lang.String FIELD_SHOW_FULL_DEVICE_DESCRIPTION

      See Also:
        Constant Field Values

    - #### FIELD_TYPE

          static final java.lang.String FIELD_TYPE

      See Also:
        Constant Field Values

    - #### FIELD_SYNC_PERIOD

          static final java.lang.String FIELD_SYNC_PERIOD

      See Also:
        Constant Field Values

    - #### FIELD_START_SYNC_ON_SETTING_CHANGE

          static final java.lang.String FIELD_START_SYNC_ON_SETTING_CHANGE

      See Also:
        Constant Field Values

    - #### FIELD_INTERRUPT_ON_ERROR

          static final java.lang.String FIELD_INTERRUPT_ON_ERROR

      See Also:
        Constant Field Values

    - #### FIELD_SUSPEND

          static final java.lang.String FIELD_SUSPEND

      See Also:
        Constant Field Values

    - #### FIELD_SETTINGS_DEFAULT_QUALITY

          static final java.lang.String FIELD_SETTINGS_DEFAULT_QUALITY

      See Also:
        Constant Field Values

    - #### FIELD_EXTENDED_STATUS

          static final java.lang.String FIELD_EXTENDED_STATUS

      See Also:
        Constant Field Values

    - #### FIELD_TIME_ZONE

          static final java.lang.String FIELD_TIME_ZONE

      See Also:
        Constant Field Values

    - #### FIELD_METADATA

          static final java.lang.String FIELD_METADATA

      See Also:
        Constant Field Values

    - #### FIELD_ACTIVE_ENTITIES

          static final java.lang.String FIELD_ACTIVE_ENTITIES

      See Also:
        Constant Field Values

    - #### FIELD_CACHE

          static final java.lang.String FIELD_CACHE

      See Also:
        Constant Field Values

    - #### FIELD_EVENT_STORAGE_PERIOD

          static final java.lang.String FIELD_EVENT_STORAGE_PERIOD

      See Also:
        Constant Field Values

    - #### FIELD_DEPENDENCY

          static final java.lang.String FIELD_DEPENDENCY

      See Also:
        Constant Field Values

    - #### FIELD_STATUS

          static final java.lang.String FIELD_STATUS

      See Also:
        Constant Field Values

    - #### FIELD_COLOR

          static final java.lang.String FIELD_COLOR

      See Also:
        Constant Field Values

    - #### FIELD_LATITUDE

          static final java.lang.String FIELD_LATITUDE

      See Also:
        Constant Field Values

    - #### FIELD_LONGITUDE

          static final java.lang.String FIELD_LONGITUDE

      See Also:
        Constant Field Values

    - #### FIELD_LOCATION_STORAGE_PERIOD

          static final java.lang.String FIELD_LOCATION_STORAGE_PERIOD

      See Also:
        Constant Field Values

    - #### FIELD_OFFLINE_ALERT

          static final java.lang.String FIELD_OFFLINE_ALERT

      See Also:
        Constant Field Values

    - #### FIELD_MAX_SYNC_LOG_ENTRIES

          static final java.lang.String FIELD_MAX_SYNC_LOG_ENTRIES

      See Also:
        Constant Field Values

    - #### FIELD_VIRTUAL_NETWORK

          static final java.lang.String FIELD_VIRTUAL_NETWORK

      See Also:
        Constant Field Values

    - #### FIELD_DISABLE_SYNCHRONOUS_SETTING_VALUE_RW

          static final java.lang.String FIELD_DISABLE_SYNCHRONOUS_SETTING_VALUE_RW

      See Also:
        Constant Field Values